#!/bin/sh

git switch main || exit
git pull -r || exit

if test -f /bsd # on OpenBSD
then
    cd issues && make && cd ../
else
    if type xmllint
    then
        cd issues && make
        cd -
    fi
fi
rclone sync -L -v --size-only \
	--sftp-set-modtime=false \
	--sftp-disable-hashcheck=true \
	--sftp-disable-concurrent-writes=true \
	--sftp-disable-concurrent-reads=true \
	public/ \
	webzine:webzine.puffy.cafe/
